Suitcase TeamSync System Requirements - Extensis.com

Suitcase TeamSync
System Requirements

Suitcase TeamSync™ is the cloud-based font sharing service for small teams.

To get started with Suitcase TeamSync, you need:

  • An Extensis account for the team’s leader (“License Manager;” sign up at Extensis.com)
  • One of the following browsers to manage your team:
    • Internet Explorer® 10 or later (for managing from Windows 7 or later), or
    • Microsoft Edge (for managing from Windows 10), or
    • Safari® 7 or later (for managing from macOS), or
    • The current release of Firefox®, or the current Extended Support Release, or
    • The current release of Chrome™

In addition, each team member needs:

  • An Extensis.com account (created automatically when you invite someone to join your team)
  • A copy of Suitcase Fusion 7 or later (System Requirements are here).

Access to Suitcase TeamSync shared libraries with Suitcase Fusion does not require purchasing a license for Suitcase Fusion; this use is included in the Suitcase TeamSync license.